package org.example.demo.controller;

import org.example.demo.model.bo.OrderGetInputBO;
import org.example.demo.model.bo.OrderSetInputBO;
import org.example.demo.service.OrderService;
import org.fisco.bcos.sdk.transaction.model.dto.CallResponse;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api")
public class OrderController {

    private final OrderService orderService;

    public OrderController(OrderService orderService) {
        this.orderService = orderService;
    }


    @PostMapping("/orders")
    public ResponseEntity<Void> set(@RequestBody OrderSetInputBO orderSetInputBO) throws Exception {
        orderService.set(orderSetInputBO);
        return ResponseEntity.ok().build();
    }

    @GetMapping("/orders/{orderNumber}")
    public ResponseEntity<CallResponse> get(@PathVariable String orderNumber) throws Exception {
        return ResponseEntity.ok(orderService.get(new OrderGetInputBO(orderNumber)));
    }
}
